insert into _sys_rol_menu
select 0, 1, id_menu, NOW(),NOW(),1,1,'A' from _sys_menu where id_sistema=0;

DROP PROCEDURE IF EXISTS spMante_Sistema_Rol_Menu;
CREATE PROCEDURE spMante_Sistema_Rol_Menu(
  varSistema  int,
	varRol      int,
  varMenu     varchar(10),
  varUsuario  int
)
BEGIN
  DECLARE varExiste int;
  
  select count(*) into varExiste  from _sys_rol_menu
  where id_menu = varMenu and id_rol = varRol and id_sistema = varSistema;
  
  if varExiste>0 then
    update _sys_rol_menu
    set _update = NOW(), _user_update = varUsuario
    where id_menu = varMenu and id_rol = varRol and id_sistema = varSistema;
  else
    insert into _sys_rol_menu(id_sistema, id_rol, id_menu, _date_create, _date_update, _user_create, _user_update)
    values (varSistema, varRol, varMenu, NOW(), NOW(), varUsuario, varUsuario);
  end if;
END;